.AUTODEPEND

#		*Translator Definitions*
CC = tcc +DNS.CFG
TASM = TASM
TLINK = tlink


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

.asm.obj:
  $(TASM) {$< }


#		*List Macros*


EXE_dependencies =  \
  dns.obj \
  ..\dsock.lib

#		*Explicit Rules*
dns.exe: dns.cfg $(EXE_dependencies)
  $(TLINK) /v/x/c @&&|
\tc\lib\c0l.obj+
dns.obj
dns,
..\dsock.lib+
\tc\lib\emu.lib+
\tc\lib\mathl.lib+
\tc\lib\cl.lib
|


#		*Individual File Dependencies*
dns.obj: dns.c 

#		*Compiler Configuration File*
dns.cfg: makefile.mak
  copy &&|
-ml

-k-
-V
-vi-
-wbbf
-wpin
-wamb
-wamp
-wasm
-wcln
-wdef
-wnod
-wstv
-wucp
-wuse
-I\TC\INCLUDE
-L\TC\LIB
| dns.cfg


