.AUTODEPEND

#		*Translator Definitions*
CC = tcc +DSOCK_AP.CFG
TASM = TASM
TLINK = tlink


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

.asm.obj:
  $(TASM) {$< }


#		*List Macros*


EXE_dependencies =  \
  dsock_ap.obj \
  my_job.obj \
  ..\dsock.lib \
  httpd.obj \
  ftpd.obj \
  telnetd.obj \
  smtpd.obj

#		*Explicit Rules*
dsock_ap.exe: dsock_ap.cfg $(EXE_dependencies)
  $(TLINK) /v/x/c @&&|
\tc\lib\c0l.obj+
dsock_ap.obj+
my_job.obj+
httpd.obj+
ftpd.obj+
telnetd.obj+
smtpd.obj
dsock_ap,
..\dsock.lib+
\tc\lib\emu.lib+
\tc\lib\mathl.lib+
\tc\lib\cl.lib
|


#		*Individual File Dependencies*
dsock_ap.obj: dsock_ap.c 

my_job.obj: my_job.c 

httpd.obj: httpd.c 

ftpd.obj: ftpd.c 

telnetd.obj: telnetd.c 

smtpd.obj: smtpd.c 

#		*Compiler Configuration File*
dsock_ap.cfg: makefile.mak
  copy &&|
-ml

-N
-v
-k-
-V
-vi-
-wbbf
-wpin
-wamb
-wamp
-wasm
-wcln
-wdef
-wnod
-wstv
-wuse
-I\TC\INCLUDE
-L\TC\LIB
| dsock_ap.cfg


