
#include <stdio.h>
#include <conio.h>
#include <winsock.h>
#include <stdlib.h>

int main(int nArgCnt,char *pszArg[])
{

  printf("\nDM&P WinSock Talk_UDP Example\n\n");

  if(nArgCnt!=2)
  {
    printf("Usage: TALK_UDP_WIN <IP>\n");
    return 0;
  }

  WSADATA WSAData;
  if(WSAStartup(0x101,(LPWSADATA)&WSAData)!=0)
  {
    printf("Unable to initialize socket library\n");
    return 1;
  }

  SOCKET sock = socket(AF_INET,SOCK_DGRAM,0);

  sockaddr_in sai;

  sai.sin_family = AF_INET;
  sai.sin_addr.s_addr = inet_addr(pszArg[1]);
  sai.sin_port = htons(1234);
  bind(sock,(LPSOCKADDR)&sai,sizeof(sai));

  printf("Start to talk, any press will be broadcast...\n");
  char c;
  while(TRUE)
  {
    if(kbhit())
    {
      c = getch();
      sai.sin_family = AF_INET;
      sai.sin_port = htons(1234);
      sai.sin_addr.s_addr = inet_addr(pszArg[1]);
      sendto(sock,&c,sizeof(char),0,(LPSOCKADDR)&sai,sizeof(sai));
      if(c==27)
      {
        printf("\nProgram terminated\n");
        break;
      }
    }
    DWORD lArg = 1;
    ioctlsocket(sock,FIONBIO,&lArg);
    int nSize = sizeof(sai);
    int nRet = recvfrom(sock,&c,sizeof(char),MSG_PEEK,(LPSOCKADDR)&sai,&nSize);
    lArg = 0;
    ioctlsocket(sock,FIONBIO,&lArg);
    if(nRet!=SOCKET_ERROR)
    {
      recv(sock,&c,sizeof(char),0);
      if(c==27)
      {
        printf("\nProgram terminated\n");
        return 1;
      }
      printf("From %s, %c\n",inet_ntoa(sai.sin_addr),c);
    }
  }

  closesocket(sock);

  WSACleanup();

  return 0;
}