#include "dsock_ap.h"
#include <stdio.h>
#include <string.h>

void  Convert(char *p2);  /* Convert encode query string. */

BOOL HttpServer(SOCKET s)
{
  char  szBuf[1024];
  char  szBuf2[1024];
  char  *p, *p2;
  DWORD dwIp;
  BOOL  bPost;

  if(SocketAccept(s, &dwIp) == FALSE)
    return TRUE;

  inet_ntoa(szBuf, dwIp);
  printf("HTTP: Accepting request from %s: ", szBuf);
  SocketGetString(s, szBuf, 1024);
  printf("%s\n", szBuf);

  /* Request string: <GET|POST> </PATH> <HTTP/VERSION> */

  /* Get path */
  p = szBuf;
  while(*p != '/')
    p++;
  p2 = p;
  while(*p2 != ' ')
    p2++;
  *p2 = 0;  /* Now, p point to ASCIIZ of path */

  bPost = strnicmp(szBuf, "POST", 4) == 0;
  if(bPost)
  {
    /* Query string of POST method will start will a null line. */
    while(SocketDataReady(s))
    {
      SocketGetString(s, szBuf2, 1024);
      if(stricmp(szBuf2, "") == 0)
        break;
    }

    SocketGetString(s, szBuf2, 1024);
    p2 = szBuf2;
  }
  else
  {
    p2 = p;
    while((*p2 != '?') && (*p2 != 0))
      p2++;
    *p2 = 0;
    p2++;
  }

  /* Now, p2 point to query string */
  if(stricmp(p, "/") == 0)      /* Send default page */
    p = "/default.htm";

  if(stricmp(p, "/demo") == 0)  /* Show demo string */
  {
    /* Prase your query string here */

    /* You can get more example on Mity-Mite Demo Box source code. */
    SocketPutString(s,
                        "<html><head><title>DSock Web Server Example</title></head><body>\n");
    SocketPutString(s, "<h1>DSock Web Server Example</h2>\n");
    sprintf(szBuf, "Query string is <b>%s</b>\n", p2);
    SocketPutString(s, szBuf);
    SocketPutString(s, "<p><a href=\"/\">Back</a>\n");
    SocketPutString(s, "</body></html>\n");
  }

  /*

  @CODE: Add you job here !!!

  else if(stricmp(p,"/name1")==0)
  {
  }
  else if(stricmp(p,"/name2")==0)
  {
  }
  */
  else  /* Send file only */
  {
    FILE  *fp = fopen(p + 1, "rb");
    if(fp == NULL)
    {
      SocketPutString(s, "<html><head><title>Error</title></head><body>\n");
      SocketPutString(s, "<h2>Unable to open '%s'</h2>\n", p + 1);
      SocketPutString(s, "<p><hr><a href=\"/\">Back</a>\n");
      SocketPutString(s, "</body></html>\n");
    }
    else
    {
      int nLen;
      while(!feof(fp))
      {
        nLen = fread(szBuf, 1, 1024, fp);
        SocketSend(s, (uchar *)szBuf, nLen);
      }

      fclose(fp);
    }
  }

  SocketClose(s);

  //SocketDestory(s);

  //s = SocketCreate(TCP_SOCKET);
  SocketBind(s, 0L, HTTP_PORT);
  SocketListen(s);
  return TRUE;
}

void Convert(char *p2)
{
  char  *p = p2;
  while(*p)
  {
    if(*p == '+')
      *p2 = ' ';
    else if(*p == '%')
    {
      char  c;
      p++;
      c = *p >= 'A' ? *p - 'A' + 10 : *p - '0';
      p++;
      c *= 16;
      c += (*p >= 'A' ? *p - 'A' + 10 : *p - '0');
      *p2 = c;
    }
    else
      *p2 = *p;
    p++;
    p2++;
  }

  *p2 = 0;
}
