
#include <stdio.h>
#include <conio.h>
#include <winsock.h>

int main()
{
  printf("\nDM&P WinSock Talk_UDP Example\n\n");

  WSADATA WSAData;
  if(WSAStartup(0x101,(LPWSADATA)&WSAData)!=0)
  {
    printf("Unable to initialize socket library\n");
    return 1;
  }

  SOCKET s1 = socket(AF_INET,SOCK_DGRAM,0);
  SOCKET s2 = socket(AF_INET,SOCK_DGRAM,0);

  sockaddr_in sai;

  // for broadcast
  sai.sin_family = AF_INET;
  sai.sin_addr.s_addr = inet_addr("255.255.255.255");
  sai.sin_port = htons(1234);
  BOOL b;
  setsockopt(s1,SOL_SOCKET,SO_BROADCAST,(LPSTR)&b,sizeof(BOOL));

  // for receiving broadcast
  sai.sin_family = AF_INET;
  sai.sin_addr.s_addr = inet_addr("0.0.0.0");
  sai.sin_port = htons(1234);
  bind(s2,(LPSOCKADDR)&sai,sizeof(sai));

  printf("Start to talk, any press will be broadcast...\n");
  char c;
  while(TRUE)
  {
    if(kbhit())
    {
      c = getch();
      sai.sin_family = AF_INET;
      sai.sin_port = htons(1234);
      sai.sin_addr.s_addr = inet_addr("255.255.255.255");
      sendto(s1,&c,sizeof(char),0,(LPSOCKADDR)&sai,sizeof(sai));
      if(c==27)
      {
        printf("\nProgram terminated\n");
        break;
      }
    }
    DWORD lArg = 1;
    ioctlsocket(s2,FIONBIO,&lArg);
    int nSize = sizeof(sai);
    int nRet = recvfrom(s2,&c,sizeof(char),MSG_PEEK,(LPSOCKADDR)&sai,&nSize);
    lArg = 0;
    ioctlsocket(s2,FIONBIO,&lArg);
    if(nRet!=SOCKET_ERROR)
    {
      recv(s2,&c,sizeof(char),0);
      if(c==27)
      {
        printf("\nProgram terminated\n");
        return 1;
      }
      printf("%c",c);
    }
  }

  closesocket(s1);
  closesocket(s2);

  WSACleanup();

  return 0;
}